function loadTimeformContent(){

	var $timeformContent = $('#timeform_content');

	if( $timeformContent.length ){

		$timeformContent
			.load( $timeformContent.attr('data-url') + '&rnd=' + Math.random(), function (){

				applyTooltip();
				expandClick();

				$('.expand-all').click(function(e){
					var allClosed = true;

					$('.competitor .details').each(function(index, value){
						if($(this).is(':visible')){
							allClosed = false;
						}
					});

					if(allClosed){
						$('.expand-all').addClass('all-expanded');
						$('.competitor .details').each(function(index, value){
							var $details_container = $(this),
							$expand_icon = $details_container.prev('table').find('.expand');

							$expand_icon.addClass('expanded');

							$details_container.show();
							var height = $details_container.height();

							$details_container.css('height', '0').animate({'height': height}, 200);
						});
					}else{
						$('.expand-all').removeClass('all-expanded');
						$('.competitor .details').each(function(index, value){
							var $details_container = $(this),
							$expand_icon = $details_container.prev('table').find('.expand');

							$expand_icon.removeClass('expanded');

							$details_container.animate({'height': 0}, 200, function(){
								$details_container.removeAttr('style').hide();
							});
						});
					}

					e.preventDefault();
					return false;
				});

				$('.sort-competitors').click(function(){

					if( $(this).is('.active') ) return false;

					$('[class*="sort-"].active').removeClass('active');
					$(this).addClass('active');

					$('.competitor_details').sortDivs({
						attribute: 'data-rating',
						dir: 'asc',
						callback: function(){
							expandClick();

							applyTooltip();

						}
					});

				});

				$('.sort-cloth').click(function(){

					if( $(this).is('.active') ) return false;

					$('[class*="sort-"].active').removeClass('active');
					$(this).addClass('active');

					$('.competitor_details').sortDivs({
						attribute: 'data-cloth',
						dir: 'desc',
						callback: function(){

							expandClick();
							applyTooltip();

						}
					});

				});

				$('.sort-drw').click(function(){

					if( $(this).is('.active') ) return false;

					$('[class*="sort-"].active').removeClass('active');
					$(this).addClass('active');

					$('.competitor_details').sortDivs({
						attribute: 'data-drw',
						dir: 'desc',
						callback: function(){

							expandClick();
							applyTooltip();

						}
					});

				});

				timeformSubscriptionPanel();

			});

	}

};

function timeformSubscriptionPanel(){

	var $pos = $('#timeform_purchase_options');

	if( $pos.length ){

		$pos.find('input[type="checkbox"]')
			.change(function(e){

				var $this = $(this),
					$label = $this.parent('label'),
					$checkbox = $label.children('.checkbox,.radio');

				if( $this.attr('checked') ){

					$checkbox.addClass('checked');

				}else{

					$checkbox.removeClass('checked');

				}

				if( $this.is('.unique') ){

					$label
						.parent('li')
						.siblings()
						.find('.checked')
						.removeClass('checked')
						.siblings('input')
						.attr('checked', false);

				}else{

					$pos
						.find('input.unique')
						.attr('checked', false)
						.siblings('.checkbox,.radio')
						.removeClass('checked');

				}

			});

		$('#options_toggle').click(function(){

			$('#options_list').slideDown(300);
			$(this).slideUp();

		});

	}

};


function expandClick(){
	$('.expand').click(function(){
		var $this = $(this),
			$details_container = $this.parents('table').next('.details');

		if($this.is('.expanded')){
			$this.removeClass('expanded');
			$details_container.animate({'height': 0}, 200, function(){
				$details_container.removeAttr('style').hide();
				checkClosed();
			});
		}else{
			$this.addClass('expanded');

			$details_container.show();
			var height = $details_container.height();

			$details_container.css('height', '0').animate({'height': height}, 200, function(){
				checkClosed();
			});
		}

	});
}

function applyTooltip(){

	$('.tooltip').Tooltip({
		showURL: false,
		delay: 0
	});

}


function checkClosed(){
	var allClosed = true;

	$('.competitor .details').each(function(index, value){
		if($(this).is(':visible')){
			allClosed = false;
		}
	});

	if(allClosed){
		$('.expand-all').removeClass('all-expanded');
	}else{
		$('.expand-all').addClass('all-expanded');
	}
}

function targetPopup(form) {
  window.open('', 'Order', 'width=850,height=600,resizeable,scrollbars,status');
  form.target = 'Order';
}

$(function(){

	timeformSubscriptionPanel();

	loadTimeformContent();

});